Get Workspace Information
curl --request GET \
--url https://api.eka.care/cdr/v1/get_business_info/ \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/cdr/v1/get_business_info/"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/cdr/v1/get_business_info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"bid": "789235904342534",
"business_name": "Example business"
}{
"message": "Unauthorized"
}Workspace APIs
Get Workspace Information
Overview
The Get Workspace Information API retrieves basic information about a business including the business ID and business name. This API is designed to provide essential business details for authenticated requests.
Endpoint
URL: {{HOST}}/cdr/v1/get_business_info
Method: GET
Request Parameters
This endpoint does not require any parameters. The auth header contains business-id information which will be used to fetch the details.
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| status | string | Status of the response (success) |
| bid | string | Unique identifier of the business |
| business_name | string | Name of the business |
GET
/
cdr
/
v1
/
get_business_info
/
Get Workspace Information
Headers
The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.
Example:
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"
Was this page helpful?

